from src.Security.GenerarIDs import GeneradorIDUnico

class PostgresCredencial:
    def __init__(self, titulo: str, host: str, port: int, dbname: str, user: str, password: str, id: str = None):
        self.id = id if id is not None else GeneradorIDUnico("PGCR").generar()
        self.titulo = titulo
        self.host = host
        self.port = port
        self.dbname = dbname
        self.user = user
        self.password = password

        
    def get_uri(self) -> str:
        """
        Retorna una URI de conexión para PostgreSQL.
        """
        return f"postgresql://{self.user}:{self.password}@{self.host}:{self.port}/{self.dbname}"
